pandu is a cluster-agnostic Kubernetes application platform in active development. Humans, CI systems, and agents use one authenticated API; every mutation passes through the same policy gate.
The core product architecture is specified in RFC 0002; the hosted coding-chat extension is specified in RFC 0003, and the private local-model deployment is specified in RFC 0004. Implementation work is tracked in the phase backlog. The v0.6 gated-agent surface is documented in the operator and user guide. The optional v0.7 hosted coding chat is documented in the hosted chat guide, with a separate operations and recovery runbook. The v0.8 dedicated K3s/Ollama deployment is documented in the private-alpha guide and its operations runbook.
| Profile | Kubernetes | CNI | Ingress | Storage | Tested | Pandu | Result |
|---|---|---|---|---|---|---|---|
| k3d | v1.35.0+k3s1 | flannel-kube-router-enforcing | none | ephemeral | 2026-08-06 | 0.8.0 | PASS |
| kind-minimal | v1.35.0 | flannel-non-enforcing | none | ephemeral | 2026-08-06 | 0.8.0 | PASS |
| kind-standard | v1.35.0 | kindnet-enforcing | ingress-nginx | local-path | 2026-08-06 | 0.8.0 | PASS |
Generated only from the v0.8.0 release conformance.json; see the Phase 8 evidence.
The repository requires Go 1.26.5, pinned by go.mod. The Go command can
download that toolchain automatically when GOTOOLCHAIN=auto is enabled.
make verify
make test-unit
make test-race
make buildCluster integration, contract, end-to-end, security, and release targets are defined in the Makefile. A target without a real harness must fail loudly instead of reporting a false pass.